Subject: wishlist: git grep -r

From: Christoph Berg <[email-masked]>
Date: Sat, 29 Sep 2018 16:01:32 +0200

I often use "grep -r $pattern" to recursively grep a source tree. If
that takes too long, I hit ^C and tag "git" in front of the command
line and re-run it. git then complains "error: unknown switch `r'"
because "git grep" is naturally recursive.

Could we have "git grep -r" accept the argument for compatibility?
Other important grep switches like "-i" are compatible, adding -r
would improve usability.

Thanks,
Christoph